This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 129831 - kernel 2.6.7-1.494.2.2 won't boot
kernel 2.6.7-1.494.2.2 won't boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-12 21:20 EDT by Kevin Fitch
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 00:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fitch 2004-08-12 21:20:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
After upgrading to 2.6.7-1.494.2.2 My machine won't boot. I get the
usual grub messages eg:
root blah blah blah
 [blah blah blah]
kernel blah blah blah
 [blah blah blah]
initrd  blah blah blah
 [blah blah blah]

And thats it. I don't even see "Uncompressing"

My configuration:
/dev/hda: 40gb MAXTOR 6L040J2 drive w/ a /boot partition(hda1) and a
windows partition(hda2)
/dev/hdc: cd burner (LITE-ON LTR-24102B)
/dev/hde and /dev/hdg are on the promise "RAID" controller builtin to
my motherboard, but the BIOS is set to NOT configure the chip (PDC2076
iirc) as a RAID, but instead as a normal IDE interface. the two drives
 are both Seagate 300gb (ST3200822A) drives setup as a software
striped raid array(md0) that contain /
CPU: Athlon XP 2200+
RAM: 512MB
MOBO: gigabyte ga7-vaxp (via kt400 chipset)
VIDEO: PNY nvidia geforce3 ti 200

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. Install 2.6.7-1.494.2.2
2. Reboot
3. Select 2.6.7-1.494.2.2 from grub menu
4. Stare at mostly black screen
    

Actual Results:  Nothing 

Expected Results:  Actual booting

Additional info:
Comment 1 Rik van Riel 2004-08-12 21:28:25 EDT
Could you try booting without the 'quiet rhgb' options and write down
exactly where the kernel hangs at bootup ?

In order to do this, press 'e' in the grub menu, edit the kernel line
and remove the 'rghb quiet' boot options, replacing them with 'debug'.

Also, could you please verify that the bug still happens with the
latest kernel from http://people.redhat.com/arjanv/2.5/ ?

thank you,

Rik
Comment 2 Kevin Fitch 2004-08-14 14:35:10 EDT
With 2.6.7-1.494.2.2 I get the following:
  Booting command-list

root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.7-1.494.2.2 ro root=/dev/md0 debug
   [Linux-bzImage, setup=0x1400, size=0x14aca6]
initrd /initrd-2.6.7-1.494.2.2.img
   [Linux-initrd @ 0x1ffb0000, 0x2ff66 bytes]


I Never even see "uncompressing linux..."
and with 2.6.8-1.520:
  Booting command-list

root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.8-1.520 ro root=/dev/md0 debug
   [Linux-bzImage, setup=0x1400, size=0x14b482]
initrd /initrd-2.6.8-1.520.img
   [Linux-initrd @ 0x1ffaf000, 0x3047e bytes]

And thats all, 2.6.6-1.435.2.3 works just fine.
Comment 3 Dave Jones 2004-11-27 17:32:32 EST
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?
Comment 4 Kevin Fitch 2004-11-28 14:04:07 EST
(In reply to comment #3)
> mass update for old bugs:
> 
> Is this still a problem in the 2.6.9 based kernel update ?
> 

I have switched to FC3 and have not had a single problem since.

Note You need to log in before you can comment on or make changes to this bug.